package com.bonus.material.basic.service;

import java.util.List;
import com.bonus.material.basic.domain.BmSlideShow;

/**
 * 【请填写功能名称】Service接口
 * 
 * @author xsheng
 * @date 2025-01-15
 */
public interface IBmSlideShowService {
    /**
     * 查询【请填写功能名称】
     * 
     * @param id 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    public BmSlideShow selectBmSlideShowById(Long id);

    /**
     * 查询【请填写功能名称】列表
     * 
     * @param bmSlideShow 【请填写功能名称】
     * @return 【请填写功能名称】集合
     */
    public List<BmSlideShow> selectBmSlideShowList(BmSlideShow bmSlideShow);

    /**
     * 新增【请填写功能名称】
     * 
     * @param bmSlideShow 【请填写功能名称】
     * @return 结果
     */
    public int insertBmSlideShow(BmSlideShow bmSlideShow);

    /**
     * 修改【请填写功能名称】
     * 
     * @param bmSlideShow 【请填写功能名称】
     * @return 结果
     */
    public int updateBmSlideShow(BmSlideShow bmSlideShow);

    /**
     * 批量删除【请填写功能名称】
     * 
     * @param ids 需要删除的【请填写功能名称】主键集合
     * @return 结果
     */
    public int deleteBmSlideShowByIds(Long[] ids);

    /**
     * 删除【请填写功能名称】信息
     * 
     * @param id 【请填写功能名称】主键
     * @return 结果
     */
    public int deleteBmSlideShowById(Long id);
}
